%define         major         1
%define         libname       %mklibname %{name} %{major}
%define         develname     %mklibname %{name} -d

Name:           bcunit
Version:        5.3.5
Release:        %mkrel 1
Summary:        Provide C programmers basic testing functionality
License:        LGPLv2+
Group:          Development/C++
Url:            https://linphone.org/
Source:		https://gitlab.linphone.org/BC/public/bcunit/-/archive/%{version}/bcunit-%{version}.tar.gz
# PATCH-FIX-OPENSUSE bcunit-link-ncurses.patch jengelh@medozas.de
Patch0:         bcunit-link-ncurses.patch
# PATCH-FIX-OPENSUSE bcunit-ncurses6.patch idonmez@suse.com -- Compile with ncurses6.
Patch1:         bcunit-ncurses6.patch
# PATCH-FIX-OPENSUSE bcunit-sover.patch sor.alexei@meowr.ru -- Correctly set the sover.
Patch2:         bcunit-sover.patch
# mga patches
Patch100:	bcunit-pkg-conf-pc.patch
Patch101:	bcunit-CMake-files-location.patch
Patch102:	bcunit-3.0.2-mga-string-format.patch
BuildRequires:  cmake
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig

%description
BCUnit is a unit testing framework for C, derived from CUnit.
(B)CUnit provides various interfaces to the framework, some of which
are platform dependent (e.g. curses on *nix). The framework complies
with the conventional structure of test cases bundled into suites
which are registered with the framework for running.

%package -n %{develname}
Summary:        BCUnit development files
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 3.0.2-5

%description -n %{develname}
BCUnit is a unit testing framework for C.
This package installs the BCUnit development files.

%package -n %{libname}
Summary:        BCUnit shared library
Group:          System/Libraries

%description  -n %{libname}
BCUnit is a unit testing framework for C.
This package installs the BCUnit shared library.

%prep
%autosetup -p1 -n %{name}-%{version}

# Fix version
sed -i -e '/^project/s/\(VERSION\)\s\+"\?[0-9]\+\(\.[0-9]\+\)\+"\?/\1 %{version}/' CMakeLists.txt

%build
%cmake \
  -DENABLE_STATIC:BOOL=OFF    \
  -DENABLE_AUTOMATED:BOOL=ON  \
  -DENABLE_BASIC:BOOL=ON      \
  -DENABLE_CONSOLE:BOOL=ON    \
  -DENABLE_CURSES:BOOL=ON     \
  -DENABLE_EXAMPLES:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license COPYING
%{_libdir}/libbcunit.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README* TODO
%{_includedir}/BCUnit/
%{_datadir}/BCUnit/
%{_libdir}/libbcunit.so
%{_libdir}/pkgconfig/bcunit.pc
%{_libdir}/cmake/BCUnit/


%changelog
* Sat Dec 30 2023 wally <wally> 5.3.5-1.mga10
+ Revision: 2024659
- new version 5.3.5

* Sat Dec 24 2022 wally <wally> 3.0.2-4.git20221116.1.mga9
+ Revision: 1926252
- update to 20221116 git snapshot

* Sat Nov 05 2022 danf <danf> 3.0.2-4.git20210211.2.mga9
+ Revision: 1903898
- Add string-format.patch to fix gcc12 error

* Sat Apr 10 2021 wally <wally> 3.0.2-4.git20210211.1.mga9
+ Revision: 1714604
- new git snapshot 20210211

* Sat Mar 28 2020 wally <wally> 3.0.2-4.git20191119.2.mga8
+ Revision: 1561357
- fix devel pkg name

* Sat Mar 28 2020 wally <wally> 3.0.2-4.git20191119.1.mga8
+ Revision: 1561352
- update to latest git snapshot

* Wed Feb 12 2020 umeabot <umeabot> 3.mga8-current
+ Revision: 1510680
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 3.0.2-2.mga7
+ Revision: 1295355
- Mageia 7 Mass Rebuild
+ wally <wally>
- fix license

* Sat Nov 04 2017 zezinho <zezinho> 3.0.2-1.mga7
+ Revision: 1175949
- follow mageia policies
- imported package bcunit


* Fri Jul 21 2017 sor.alexei@meowr.ru
- Update to version 3.0.2:
  * Version bump.
* Tue Jun 13 2017 jengelh@inai.de
- Rewrite incorrect %%description of main RPM.
* Wed May 17 2017 sor.alexei@meowr.ru
- Update to version 3.0+git20170404:
  * No changelog available.
- Rename the package to bcunit for the fork.
- Rename and rebase cunit-link-ncurses.dif to
  bcunit-link-ncurses.patch,
  cunit-ncurses6.patch to bcunit-ncurses6.patch.
- Switch to cmake.
- Add bcunit-sover.patch: Correctly set the sover.
- Disable test: doesn't compile correctly.
- Correct the licence to LGPL-2.0+ (nothing limits to LGPL-2.0).
- Add baselibs.conf.
- Minor spec clean up.
* Thu Oct 22 2015 idonmez@suse.com
- Add cunit-ncurses6.patch to compile with ncurses6
* Tue May 26 2015 ddiss@suse.com
- Don't tag Recommends on RHEL, it yields an "Unknown tag" error.
* Tue Aug 12 2014 tchvatal@suse.com
- Use proper group for the library.
* Mon Aug  4 2014 tchvatal@suse.com
- The license is actually LGPL
* Mon Aug  4 2014 tchvatal@suse.com
- Update to release 2.1.3:
  * prune the static-devel subpackage as it is pointless.
  * Various upstream fixes with no changelog.
- Cleanup with spec-cleaner to have the spec pretty
* Thu Feb  9 2012 jengelh@medozas.de
- Update to new upstream release 2.1.2
  * modified dtd and xsl files to support inactive suites/tests
  * Added ability to deactivate suite/tests dynamically
  * Removed constraint that suite/test names be unique
- Remove redundant tags/sections
- Parallel build with %%_smp_mflags
- Add autotools BuildRequires for factory/12.2
- Fix use of implicitly defined function in source
  (do not declare that post-build-checks's output was wrong)
- Add missing DT_NEEDED entry on ncurses
* Tue Jun  8 2010 andrea@opensuse.org
- fixed 'no-pkg-config-provides'
* Wed Apr 21 2010 prusnak@suse.cz
- cleaned up spec, split devel-static subpackage
* Sat Mar 13 2010 andrea@opensuse.org
- added CUnit-2.1-pkgconfig.patch to provide cunit.pc
* Wed Mar  3 2010 andrea@opensuse.org
- split into 3 subpackages
* Tue Mar  2 2010 andrea@opensuse.org
- New package
